# $Revision: 1.33 $, $Date: 2012/01/13 12:48:34 $
#
# Conditional build:
%bcond_without	tests	# do not perform "./Build test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Log
%define		pnam	Dispatch
Summary:	Log::Dispatch Perl module - dispatches messages to multiple Log::Dispatch::* objects
Summary(pl.UTF-8):	Moduł Perla Log::Dispatch - wysyłanie komunikatów do wielu obiektów Log::Dispatch::*
Name:		perl-Log-Dispatch
Version:	2.29
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Log/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	781a4b5a9db2b617d2487dadecf65081
URL:		http://search.cpan.org/dist/Log-Dispatch/
BuildRequires:	perl-Module-Build >= 0.20
BuildRequires:	perl-Params-Validate >= 0.15
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# optional
%define		_noautoreq	'perl(Apache::Log)' 'perl(MIME::Lite)' 'perl(Mail::Send)' 'perl(Mail::Sender)' 'perl(Mail::Sendmail)'

%description
Log::Dispatch is a suite of OO modules for logging messages to
multiple outputs, each of which can have a minimum and maximum log
level. It is designed to be easily subclassed, both for creating a new
dispatcher object and particularly for creating new outputs.

%description -l pl.UTF-8
Log::Dispatch to zestaw obiektowo zorientowanych modułów do logowania
komunikatów na wiele wyjść, z których każde może mieć podany minimalny
i maksymalny poziom logowania. Pakiet ten został zaprojektowany tak,
by łatwo można było stworzyć klasy potomne, w celu tworzenia nowych
obiektów wysyłających, jak i (szczególnie) nowych wyjść.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Log/*.pm
%{perl_vendorlib}/Log/Dispatch
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Log-Dispatch.spec,v $
Revision 1.33  2012/01/13 12:48:34  zbyniu
- up to 2.29

Revision 1.32  2009/10/20 12:51:39  amateja
- updated to 2.26

Revision 1.31  2009/09/14 19:54:24  arekm
- up to 2.24

Revision 1.30  2008/12/01 13:59:04  arekm
- up to 2.22

Revision 1.29  2008-04-02 09:22:07  arekm
- up to 2.21

Revision 1.28  2007-12-24 19:47:12  qboosh
- generic URL

Revision 1.27  2007-12-24 02:39:16  zbyniu
- up to 2.20

Revision 1.26  2007-09-11 07:54:41  arekm
- up to 2.18

Revision 1.25  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.24  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.23  2004/11/03 22:30:31  paladine
- formatting

Revision 1.22  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.21  2004/05/07 00:32:02  ankry
- rel. 2

Revision 1.20  2004/05/06 18:43:14  ankry
- fixed perl-devel BR

Revision 1.19  2004/04/22 15:01:18  ankry
- license fixes and unification

Revision 1.18  2004/04/14 20:54:13  ankry
- cosmetics, unification

Revision 1.17  2004/03/06 19:43:43  adamg
- updated to 2.10

Revision 1.16  2003/12/07 19:25:28  migo
- up to 2.08, new bcond style

Revision 1.15  2003/09/29 11:31:45  migo
- up to 2.07

Revision 1.14  2003/09/27 11:49:10  migo
- use new Module:Build
- release 2

Revision 1.13  2003/09/09 10:24:40  ankry
- spaces -> tab

Revision 1.12  2003/06/11 14:24:53  qboosh
- added _noautoreq for optional dependencies

Revision 1.11  2003/06/11 13:35:05  qboosh
- cosmetics and docs from RA-branch
- up to 2.06 (now it uses Module::Install)

Revision 1.10  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/13 00:02:55  ankry
- merge from RA-branch: updated to 2.03

Revision 1.6  2003/03/01 19:37:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.4  2003/02/21 23:44:09  ankry
- autoupdated to 2.02

Revision 1.3  2003/02/18 15:35:47  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/11 01:38:59  qboosh
- pl description, release 2

Revision 1.1  2002/08/03 13:12:16  radek
- new, stbr
